Package ru.bitel.bgbilling.modules.phone.server.bean

# Class Report

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.Report

public final class Report extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Report()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClientItem()`
  `int`
  `getClientItemId()`
  `BigDecimal`
  `getCost()`
  `int`
  `getDestCode()`
  `String`
  `getDestination()`
  `int`
  `getNumber()`
  `List<String>`
  `getNumberList()`
  `List<String>`
  `getPortList()`
  `int`
  `getTime()`
  `int`
  `getTimeRound()`
  `void`
  `setClientItem(String point)`
  `void`
  `setClientItemId(int clientItemId)`
  `void`
  `setCost(BigDecimal cost)`
  `void`
  `setDestCode(int destCode)`
  `void`
  `setDestination(String destination)`
  `void`
  `setNumber(int number)`
  `void`
  `setNumberList(List<String> numberList)`
  `void`
  `setPortList(List<String> portList)`
  `void`
  `setTime(int time)`
  `void`
  `setTimeRound(int timeRound)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Report

    public Report()

- ## Method Details

  - ### getNumberList

    public List<String> getNumberList()

  - ### setNumberList

    public void setNumberList(List<String> numberList)

  - ### getPortList

    public List<String> getPortList()

  - ### setPortList

    public void setPortList(List<String> portList)

  - ### getTimeRound

    public int getTimeRound()

  - ### setTimeRound

    public void setTimeRound(int timeRound)

  - ### getClientItemId

    public int getClientItemId()

  - ### setClientItemId

    public void setClientItemId(int clientItemId)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public void setCost(BigDecimal cost)

  - ### getDestCode

    public int getDestCode()

  - ### setDestCode

    public void setDestCode(int destCode)

  - ### getDestination

    public String getDestination()

  - ### setDestination

    public void setDestination(String destination)

  - ### getNumber

    public int getNumber()

  - ### setNumber

    public void setNumber(int number)

  - ### getClientItem

    public String getClientItem()

  - ### setClientItem

    public void setClientItem(String point)

  - ### getTime

    public int getTime()

  - ### setTime

    public void setTime(int time)